Проблeма с установкой драйвера nVidia

Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
And
Сообщения: 1
Зарегистрирован: 20 фев 2019, 11:34

Проблeма с установкой драйвера nVidia

Сообщение And » 20 фев 2019, 11:54

проблема у установкой драйверов nVidia, сейчас установлен свободный драйвер NV43 в центре обновления драйверов отображается что есть драйвер nVidia - 304 но при его выборе выходит ошибка с текстом:
Следующие пакеты имеют неудовлетворённые зависимости:

nvidia-304: Depends: x11-common (>= 1:7.0.0) но 1:7.7+19ubuntu7.1 должен быть установлен
            Depends: libgcc1 (>= 1:3.3) но 1:8.2.0-1ubuntu2~18.04 должен быть установлен
            Depends: xorg-video-abi-23 но это виртуальный пакет
Возможно ли установить драйвер nVidia или лучше оставаться на свободном? есть ли решение проблемы

данные системы

Код: Выделить всё

System:
  Host: andre-M2V Kernel: 4.15.0-20-generic x86_64 bits: 64 compiler: gcc 
  v: 7.3.0 Desktop: Cinnamon 4.0.9 Distro: Linux Mint 19.1 Tessa 
  base: Ubuntu 18.04 bionic 
Machine:
  Type: Desktop Mobo: ASUSTeK model: M2V v: Rev 1.xx serial: <filter> 
  BIOS: American Megatrends v: 2101 date: 02/21/2008 
CPU:
  Topology: Dual Core model: AMD Athlon 64 X2 3800+ bits: 64 type: MCP 
  arch: K8 rev.F+ rev: 2 L2 cache: 1024 KiB 
  flags: lm nx pae sse sse2 sse3 svm bogomips: 7199 
  Speed: 1800 MHz min/max: 1000/2000 MHz Core speeds (MHz): 1: 1800 2: 1800 
Graphics:
  Device-1: NVIDIA NV43 [GeForce 6600] vendor: ASUSTeK driver: nouveau 
  v: kernel bus ID: 02:00.0 
  Display: x11 server: X.Org 1.19.6 driver: nouveau 
  unloaded: fbdev,modesetting,vesa resolution: 1024x768~60Hz 
  OpenGL: renderer: NV43 v: 2.1 Mesa 18.0.5 direct render: Yes 
Audio:
  Device-1: VIA VT8237A/VT8251 HDA vendor: ASUSTeK driver: snd_hda_intel 
  v: kernel bus ID: 80:01.0 
  Sound Server: ALSA v: k4.15.0-20-generic 
Network:
  Device-1: Qualcomm Atheros Attansic L1 Gigabit Ethernet 
  vendor: ASUSTeK P5KPL-VM driver: atl1 v: 2.1.3 port: bc00 bus ID: 04:00.0 
  IF: enp4s0 state: down mac: <filter> 
  Device-2: VIA VT6105/VT6106S [Rhine-III] 
  vendor: D-Link System DFE-520TX Fast PCI driver: via-rhine v: N/A 
  port: e800 bus ID: 07:07.0 
  IF: enp7s7 state: unknown speed: 100 Mbps duplex: full mac: <filter> 
Drives:
  Local Storage: total: 149.05 GiB used: 8.85 GiB (5.9%) 
  ID-1: /dev/sda vendor: Seagate model: ST3160811AS size: 149.05 GiB 
Partition:
  ID-1: / size: 56.84 GiB used: 8.85 GiB (15.6%) fs: ext4 dev: /dev/sda6 
Sensors:
  System Temperatures: cpu: 29.0 C mobo: N/A gpu: nouveau temp: 39 C 
  Fan Speeds (RPM): N/A 
Info:
  Processes: 180 Uptime: 44m Memory: 3.85 GiB used: 1.18 GiB (30.6%) 
  Init: systemd runlevel: 5 Compilers: gcc: 7.3.0 Shell: bash v: 4.4.19 
  inxi: 3.0.27

В сети
Аватара пользователя

Dja
Сообщения: 5473
Зарегистрирован: 27 авг 2016, 17:03
Решено: 22
Откуда: Voskresensk
Благодарил (а): 764 раза
Поблагодарили: 591 раз

Проблeма с установкой драйвера nVidia

Сообщение Dja » 20 фев 2019, 11:56

Код: Выделить всё

sudo apt install -f
And, 1 - учимся пользоваться панелью форматирования.
2 - при копипастинге листинга с консоли в текстовые чаты лучше пользоваться пастой к примеру этой
Во избежание подобного
[16:32:47] <andre> вот System: Host: andre-M2V Kernel: 4.15.0-20-generic x86_64 bits: 64 compiler: gcc v: 7.3.0
[16:32:47] <andre> Desktop: Cinnamon 4.0.9 wm: muffin dm: LightDM Distro: Linux Mint 19.1 Tessa
[16:32:47] <andre> base: Ubuntu 18.04 bionic
[16:32:47] <andre> Machine: Type: Desktop Mobo: ASUSTeK model: M2V v: Rev 1.xx serial: <filter>
[16:32:47] <andre> BIOS: American Megatrends v: 2101 date: 02/21/2008
[16:32:48] <andre> CPU: Topology: Dual Core model: AMD Athlon 64 X2 3800+ bits: 64 type: MCP arch: K8 rev.F+
[16:32:50] <andre> rev: 2 L2 cache: 1024 KiB
[16:32:52] <andre> flags: lm nx pae sse sse2 sse3 svm bogomips: 3999
[16:32:54] <andre> Speed: 1000 MHz min/max: 1000/2000 MHz Core speeds (MHz): 1: 1000 2: 1000
[16:32:56] <andre> Graphics: Device-1: NVIDIA NV43 [GeForce 6600] vendor: ASUSTeK driver: nouveau v: kernel
[16:32:58] <andre> bus ID: 02:00.0 chip ID: 10de:0141
[16:33:00] <andre> Display: x11 server: X.Org 1.19.6 driver: nouveau unloaded: fbdev,modesetting,vesa
[16:33:02] <andre> resolution: 1024x768~60Hz
[16:33:04] <andre> OpenGL: renderer: NV43 v: 2.1 Mesa 18.2.2 direct render: Yes
[16:33:06] <andre> Audio: Device-1: VIA VT8237A/VT8251 HDA vendor: ASUSTeK driver: snd_hda_intel v: kernel
[16:33:08] <andre> bus ID: 80:01.0 chip ID: 1106:3288
[16:33:12] <andre> Sound Server: ALSA v: k4.15.0-20-generic
[16:34:32] <andre> при установке возникет ошибка Следующие пакеты имеют неудовлетворённые зависимости:
[16:34:32] <andre> nvidia-304: Depends: x11-common (>= 1:7.0.0) но 1:7.7+19ubuntu7.1 должен быть установлен
[16:34:32] <andre> Depends: libgcc1 (>= 1:3.3) но 1:8.2.0-1ubuntu2~18.04 должен быть установлен
[16:34:32] <andre> Depends: xorg-video-abi-23 но это виртуальный пакет

Вернуться в «Cinnamon»